/*
*     ___                       ____               __
*    / _ \___ _    _____ ____  /  _/__  ___  __ __/ /_
*   / ___/ _ \ |/|/ / -_) __/ _/ // _ \/ _ \/ // / __/
*  /_/   \___/__,__/\__/_/   /___/_//_/ .__/\_,_/\__/
*                                    /_/
*
*   Original Code by John Garrison
*   Written July 28,31 1999
*   To be released under the LGPL
*
*   Mouse interface routines
*
*   See LICENSE.TXT for more LGPL info
*/

#ifndef _PI_mouse_H
#define _PI_mouse_H

#ifdef __cplusplus
extern "C" {
#endif

#include "powerinput.h"

Uint8 PI_GetMouseState();

int PI_IsMouseButtonDown(int Button);
int PI_WasMouseButtonDown(Uint8 MouseData, int Button);
int PI_MouseX();
int PI_MouseY();
int PI_ShowMouseCursor();
int PI_HideMouseCursor();
int PI_MoveMouseCursor(int X, int Y);

#ifdef __cplusplus
};
#endif

#endif